package com.jy.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.system.model.dto.ResetPwdDto;
import com.jy.system.model.dto.SysUserDto;
import com.jy.system.model.dto.SysUserSelectDto;
import com.jy.system.model.vo.SysUserInfoVo;
import com.jy.system.model.vo.SysUserVo;

import java.util.List;

/**
 * <p>
 * 用户 服务类
 * </p>
 *
 * @author
 * @since 2024-06-20
 */
public interface SysUserService {

    /**
     * 用户列表
     */
    List<SysUserInfoVo> getList(SysUserSelectDto dto);

    /**
     * 用户分页
     */
    Page<SysUserVo> getPage(SysUserSelectDto dto);

    /**
     * 用户明细
     */
    SysUserVo getDetail(Long id);

    /**
     * 用户新增
     */
    void add(SysUserDto dto);

    /**
     * 用户编辑
     */
    void edit(SysUserDto dto);

    /**
     * 用户删除
     */
    void delete(List<Long> idList);

    /**
     * 重置用户密码
     */
    void resetPwd(ResetPwdDto dto);

}
